ACH Transfer-In

Creates an ACH transfer-in transaction for the specified location.

Request Headers

HeaderRequiredDescription
AuthorizationYesBearer YOUR_ACCESS_TOKEN
Content-TypeYesapplication/json

Path Parameters

ParameterTypeRequiredDescription
location_idstringYesIdentifier of the location where the ACH transaction will be processed.

Request Body Parameters

FieldTypeRequiredDescription
tokenstringYesToken representing the ACH payment method.
user_idstringYesIdentifier of the user performing the transaction.
invoice_nostringNoInvoice reference associated with the transfer.
amountnumberYesTransaction amount to be processed.

Response

200 — Success

{
    "amount_approved": "1500.00",
    "transaction_id": "9CBA11F1-C4F6-D76F-B404-0200172B11F8",
    "token": "wkpBRUkTAXMy8148"
}
FieldTypeDescription
amount_approvedstringThe amount that was approved for the transaction.
transaction_idstringUnique identifier of the created transaction.
tokenstringThe ACH token used in the transaction.

403 — Forbidden

Returned when neither the payer nor the payee has a Merchant ID (MID).

{
  "error": {
    "code": 99184,
    "name": "ach_403",
    "message": "Forbidden",
    "details": {
      "status": false,
      "message": "To initiate a transaction, either the payer or the payee must have a mid.",
      "data": null,
      "errors": null,
      "error_code": null
    }
  }
}
Path Params
string
required
Body Params
Responses

Language
Credentials
Bearer
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json